## ros-dashing-rmw 0.7.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcutils REQUIRED)

include(cmake/configure_rmw_library.cmake)

include_directories(include)

set(rmw_sources
  "src/allocators.c"
  "src/convert_rcutils_ret_to_rmw_ret.c"
  "src/event.c"
  "src/init.c"
  "src/init_options.c"
  "src/names_and_types.c"
  "src/sanity_checks.c"
  "src/node_security_options.c"
  "src/validate_full_topic_name.c"
  "src/validate_namespace.c"
  "src/validate_node_name.c"
)
set_source_files_properties(${rmw_sources} PROPERTIES LANGUAGE "C")
add_library(${PROJECT_NAME} ${rmw_sources})
ament_target_dependencies(${PROJECT_NAME}
  "rcutils"
)
configure_rmw_library(${PROJECT_NAME} LANGUAGE "C")

ament_export_dependencies(
  rcutils
  rosidl_generator_c
)
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  add_subdirectory(test)
endif()

ament_package(CONFIG_EXTRAS "rmw-extras.cmake")

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)
install(
  DIRECTORY include/
  DESTINATION include
)
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-dashing-rmw (0.7.2-1bionic) bionic; urgency=high

  * add RMW_QOS_POLICY_LIVELINESS_UNKNOWN enum (#175 <https://github.com/ros2/rmw/issues/175>)
  * Contributors: M. M

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Jun 2019 00:00:00 -0000

ros-dashing-rmw (0.7.1-1bionic) bionic; urgency=high

  * Implement QoS: liveliness, deadline, lifespan (#171 <https://github.com/ros2/rmw/issues/171>)
  * Rmw preallocate (#160 <https://github.com/ros2/rmw/issues/160>)
  * Add new QoS policy data types to rmw (#173 <https://github.com/ros2/rmw/issues/173>)
  * Contributors: M. M, Michael Carroll, Ross Desmond

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-dashing-rmw (0.7.0-1bionic) bionic; urgency=high

  * Add function to get publisher actual qos settings (#169 <https://github.com/ros2/rmw/issues/169>)
  * fix checking boolean variable which might contain a string (#165 <https://github.com/ros2/rmw/issues/165>)
  * change parameter events to use KEEP_LAST (#162 <https://github.com/ros2/rmw/issues/162>)
  * Fix typo error (#164 <https://github.com/ros2/rmw/issues/164>)
  * pass context to wait set, and provide fini function for context (#163 <https://github.com/ros2/rmw/issues/163>)
  * minor notes explaining rmw_qos_profile_t (#156 <https://github.com/ros2/rmw/issues/156>)
  * Contributors: Dirk Thomas, Lalit Begani, Mike Lautman, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 00:00:00 -0000

ros-dashing-rmw (0.6.1-1bionic) bionic; urgency=high

  * Add node graph functions (#158 <https://github.com/ros2/rmw/issues/158>)
  * refactor init to allow options to be passed and to not be global (#154 <https://github.com/ros2/rmw/issues/154>)
  * Methods to retrieve matched counts on publisher and subscriber (#155 <https://github.com/ros2/rmw/issues/155>)
  * use uint8_t instead of char for serialized message (#161 <https://github.com/ros2/rmw/issues/161>)
  * Contributors: Karsten Knese, Michael Carroll, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-dashing-rmw (0.6.0-1bionic) bionic; urgency=high

  * use new error handling API (#153 <https://github.com/ros2/rmw/issues/153>)
  * Add semicolons to RCLCPP and RCUTILS macros. (#150 <https://github.com/ros2/rmw/issues/150>)
  * Include node namespaces in get_node_names() (#148 <https://github.com/ros2/rmw/issues/148>)
  * add missing doc for parameter (#149 <https://github.com/ros2/rmw/issues/149>)
  * rcutils_serialized_message -> rcutils_char_array (#146 <https://github.com/ros2/rmw/issues/146>)
  * rmw serialized to rcutils serialized (#145 <https://github.com/ros2/rmw/issues/145>)
  * rcutil -> rcutils (#147 <https://github.com/ros2/rmw/issues/147>)
  * get serialization format (#143 <https://github.com/ros2/rmw/issues/143>)
  * Contributors: Chris Lalancette, Karsten Knese, Michael Carroll, Mikael Arguedas, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-dashing-rmw (0.5.0-1bionic) bionic; urgency=high

  * use rcutils allocator in allocators.c to avoid direct use of malloc/free (#140 <https://github.com/ros2/rmw/issues/140>)
  * check the return value of rcutils_snprintf (#138 <https://github.com/ros2/rmw/issues/138>)
  * _raw function (#125 <https://github.com/ros2/rmw/issues/125>)
  * Merge pull request #137 <https://github.com/ros2/rmw/issues/137> from ros2/misra_fixup
  * Change #if to #ifdef.
  * add function to parse key-value user_data (#132 <https://github.com/ros2/rmw/issues/132>)
  * Add validation functions accepting string length (#135 <https://github.com/ros2/rmw/issues/135>)
  * Clarify that NULL blocks forever in rmw_wait (#134 <https://github.com/ros2/rmw/issues/134>)
  * Enable setting log levels in DDS implementation (#124 <https://github.com/ros2/rmw/issues/124>)
  * Optimize namespace node and topic validation (#130 <https://github.com/ros2/rmw/issues/130>)
  * Contributors: Dirk Thomas, Ethan Gao, Karsten Knese, Michael Carroll, Shane Loretz, Sriram Raghunathan, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 23 Jun 2018 00:00:00 -0000

=== debian/control ===
Source: ros-dashing-rmw
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-gmock, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rcutils, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rmw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rcutils, ros-dashing-rosidl-generator-c, ros-dashing-ros-workspace
Description: Contains the ROS middleware API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rmw//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
